package com.inca.npbusi.zx.websacon;

package .tmp;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.gui.ste.CSteModel;
import com.inca.np.util.DecimalHelper;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.ObjectUtils;
import com.inca.zx.pubmethod.ZXCheckMethod;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JPanel;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;
import org.apache.log4j.Category;

public class Web_sa_con_master extends CMasterModel {
  private Category a = Category.getInstance(com.inca.npbusi.zx.websacon.Web_sa_con_master.class);
  
  private List<String> b;
  
  private int c;
  
  public Web_sa_con_master(CFrame paramCFrame, CMdeModel paramCMdeModel) {
    super(paramCFrame, "网上订货总单", paramCMdeModel);
    this.b = new ArrayList<String>();
    this.c = 0;
  }
  
  public String getTablename() {
    return "web_sa_con_doc_v";
  }
  
  public String getSaveCommandString() {
    return null;
  }
  
  protected void on_retrieved() {
    for (byte b = 0; b < getRowCount(); b++) {
      String str1 = getItemValue(b, "customerid");
      String str2 = getItemValue(b, "storageid");
      String str3 = getItemValue(b, "entryid");
      String str4 = getItemValue(b, "ddtype");
      String str5 = getItemValue(b, "usestatus");
      String str6;
      if ((str6 = getItemValue(b, "selectflag")) == null || str6.trim().isEmpty()) {
        setItemValue(b, "selectflag", "0");
        setdbStatus(b, 0);
      } 
      if (str2.trim().isEmpty() && str5.trim().equals("1")) {
        str1 = String.format("select a.storageid,b.storagename,b.opcode storageopcode from web_custom_st_def a,bms_st_def b where a.storageid=b.storageid and compayid=%s and b.entryid=%s", new Object[] { ZXCheckMethod.isNullRe_one(str1), ZXCheckMethod.isNullRe_one(str3) });
        if (str4.trim().equals("1")) {
          str1 = String.valueOf(str1) + " and typeid=2";
        } else if (str4.trim().equals("2")) {
          str1 = String.valueOf(str1) + " and typeid=1";
        } 
        try {
          DBTableModel dBTableModel;
          int i;
          if (!ObjectUtils.isNULL(dBTableModel = ZXCheckMethod.getModelBySql(str1)) && (i = dBTableModel.getRowCount()) == 1 && str2.trim().isEmpty()) {
            setItemValue(b, "storageid", dBTableModel.getItemValue(0, "storageid"));
            setItemValue(b, "storagename", dBTableModel.getItemValue(0, "storagename"));
            setItemValue(b, "storageopcode", dBTableModel.getItemValue(0, "storageopcode"));
            setdbStatus(b, 0);
            tableChanged();
            this.a.error("--------" + dBTableModel.getItemValue(0, "storageid") + "---------" + dBTableModel.getItemValue(0, "storagename") + "-----------");
          } 
        } catch (Exception exception) {
          (str1 = null).printStackTrace();
        } 
      } 
    } 
    super.on_retrieved();
  }
  
  protected JPanel createSecondtoolbar() {
    JPanel jPanel = new JPanel();
    CToolbar cToolbar = new CToolbar();
    jPanel.setLayout(new BorderLayout());
    jPanel.add((Component)cToolbar);
    return jPanel = NpbusiDBHelper.createTButton(jPanel = NpbusiDBHelper.createTButton(jPanel = NpbusiDBHelper.createTButton(jPanel = NpbusiDBHelper.createTButton(jPanel, "送审", "送审", "送审", 69, (ActionListener)this.mdemodel), "业务审批", "业务审批", "业务审批", 65, (ActionListener)this.mdemodel), "财务审批", "财务审批", "财务审批", 83, (ActionListener)this.mdemodel), "中止", "中止", "中止", 87, (ActionListener)this.mdemodel);
  }
  
  protected String getOtherWheres() {
    String str = ClientUserManager.getCurrentUser().getEntryid();
    return str = "ddtype in(1,2) and usestatus<>0 and dtlcount>0 and entryid=" + ZXCheckMethod.isNullRe_one(str);
  }
  
  public String getHovOtherWheres(int paramInt, String paramString) {
    String str1, str2 = "";
    if (paramString.trim().equalsIgnoreCase("storageopcode")) {
      paramString = getItemValue(paramInt, "customerid");
      str2 = getItemValue(paramInt, "entryid");
      str1 = getItemValue(paramInt, "ddtype");
      String str = "-1";
      if (str1.trim().equals("1")) {
        str = "2";
      } else if (str1.trim().equals("2")) {
        str = "1";
      } 
      str2 = String.format("customid=%s and entryid=%s and typeid=%s", new Object[] { ZXCheckMethod.isNullRe_one(paramString), ZXCheckMethod.isNullRe_one(str2), str });
    } else if (paramString.trim().equalsIgnoreCase("customerid")) {
      paramString = getItemValue(str1, "entryid");
      str2 = String.format(" exists(select 1 from pub_entry_customer where customid=pub_customer_v.customid and entryid=%s)", new Object[] { ZXCheckMethod.isNullRe_one(paramString) });
    } 
    return str2;
  }
  
  public void on_doubleclick(int paramInt1, int paramInt2) {
    String str1 = getItemValue(paramInt1, "usestatus");
    String str2 = getItemValue(paramInt1, "selectflag");
    getItemValue(paramInt1, "storageid");
    if (str2.trim().equals("1")) {
      str2 = "0";
    } else {
      str2 = "1";
    } 
    if (DecimalHelper.comparaDecimal("1", str1) > 0) {
      infoMessage("提示", "临时单据不能生成销售订单");
      return;
    } 
    setItemValue(paramInt1, "selectflag", str2);
    this.mdemodel.getMasterModel().getDBtableModel().setdbStatus(paramInt1, 0);
    try {
      if (!this.b.contains(String.valueOf(getRow()))) {
        for (byte b1 = 0; b1 < 4 && this.mdemodel.getDetailModel().getRowCount() == 0; b1++)
          Thread.sleep(500L); 
        Thread.sleep(500L);
        this.b.add(String.valueOf(getRow()));
      } 
    } catch (InterruptedException interruptedException) {
      (str1 = null).printStackTrace();
    } 
    com.inca.npbusi.zx.websacon.Web_sa_con_master web_sa_con_master;
    CSteModel cSteModel;
    byte b;
    for (str2 = str2, cSteModel = (web_sa_con_master = this).mdemodel.getDetailModel(), b = 0; b < cSteModel.getRowCount(); ) {
      cSteModel.setItemValue(b, "selectflag", str2);
      cSteModel.getDBtableModel().setdbStatus(b, 0);
      b++;
    } 
    super.on_doubleclick(paramInt1, paramInt2);
  }
  
  public void recreateDBModel() {
    super.recreateDBModel();
    for (byte b1 = 0; b1 < this.tablecolumns.length; b1++) {
      if ("selectflag".equals(this.tablecolumns[b1])) {
        this.c = b1;
        break;
      } 
    } 
    TableColumnModel tableColumnModel = this.table.getColumnModel();
    for (byte b2 = 0; b2 < tableColumnModel.getColumnCount(); b2++) {
      TableColumn tableColumn = tableColumnModel.getColumn(b2);
      DBColumnDisplayInfo dBColumnDisplayInfo;
      if (!(dBColumnDisplayInfo = this.formcolumndisplayinfos.elementAt(tableColumn.getModelIndex())).getColtype().equals("行号"))
        tableColumn.setCellRenderer((TableCellRenderer)new a(this, dBColumnDisplayInfo)); 
    } 
  }
  
  protected String getEditablecolumns(int paramInt) {
    String str2 = "notColumn";
    String str1;
    if ((str1 = getItemValue(paramInt, "usestatus")).trim().equals("1"))
      str2 = "storageopcode"; 
    return str2;
  }
}
